com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum MonthlyScheduleParameters.Day

- java.lang.Object
- - java.lang.Enum<MonthlyScheduleParameters.Day>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.MonthlyScheduleParameters.Day

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MonthlyScheduleParameters.Day>
  Enclosing class:
    MonthlyScheduleParameters

      public static enum MonthlyScheduleParameters.Day
      extends java.lang.Enum<MonthlyScheduleParameters.Day>

  Day of week.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FRIDAY`
    `MONDAY`
    `SATURDAY`
    `SUNDAY`
    `THURSDAY`
    `TUESDAY`
    `WEDNESDAY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MonthlyScheduleParameters.Day` | `forValue(int value)`
    `int` | `getValue()`
    `static MonthlyScheduleParameters.Day` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MonthlyScheduleParameters.Day[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUNDAY

          public static final MonthlyScheduleParameters.Day SUNDAY

    - #### MONDAY

          public static final MonthlyScheduleParameters.Day MONDAY

    - #### TUESDAY

          public static final MonthlyScheduleParameters.Day TUESDAY

    - #### WEDNESDAY

          public static final MonthlyScheduleParameters.Day WEDNESDAY

    - #### THURSDAY

          public static final MonthlyScheduleParameters.Day THURSDAY

    - #### FRIDAY

          public static final MonthlyScheduleParameters.Day FRIDAY

    - #### SATURDAY

          public static final MonthlyScheduleParameters.Day SATURDAY

  - ### Method Detail

    - #### values

          public static MonthlyScheduleParameters.Day[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MonthlyScheduleParameters.Day c : MonthlyScheduleParameters.Day.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MonthlyScheduleParameters.Day valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static MonthlyScheduleParameters.Day forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.